import sys
import os
import shutil
import stat
from setuptools import setup

NAME = 'Web Light'
VERSION = '1'
AUTHOR = 'Thomas Klaehn'
EMAIL = 'tkl@blackfinn.de'
PACKAGES = ['weblight']
SCRIPTS = ['start-weblight']
SERVICEDIR = "/lib/systemd/system"
REQUIRES = ['Flask']
DAEMON_START_SCRIPT = os.path.join(SERVICEDIR, 'weblight.service')

if sys.argv[1] == 'install':
    os.makedirs(SERVICEDIR, exist_ok=True)
    shutil.copyfile('weblight.service', DAEMON_START_SCRIPT)
    os.chmod(DAEMON_START_SCRIPT, stat.S_IRUSR | stat.S_IWUSR | stat.S_IRGRP | stat.S_IROTH)

setup(name=NAME, version=VERSION, long_description=__doc__, author=AUTHOR, author_email=EMAIL,
      packages=PACKAGES, scripts=SCRIPTS, include_package_data=True, zip_safe=False,
      install_requires=REQUIRES)
