from flask import Flask
from flask import render_template
from flask import redirect
from flask import url_for
from flask import make_response

import RPi.GPIO as GPIO

RELAY_1 = 26

GPIO.setmode(GPIO.BCM)
GPIO.setup(RELAY_1,GPIO.OUT)

app = Flask(__name__)

@app.route('/')
def index():
    return render_template('index.html')

@app.route('/<state>', methods=['POST'])
def reroute(state):
    if state == 'on':
        GPIO.output(RELAY_1, 0)
    else:
        GPIO.output(RELAY_1, 1)

    response = make_response(redirect(url_for('index')))
    return response

if __name__ == '__main__':
    app.run(debug=False, host='0.0.0.0', port=8000)
